List team members profiles
curl --request GET \
--url https://api.hexclave.com/api/v1/team-member-profilesimport requests
url = "https://api.hexclave.com/api/v1/team-member-profiles"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hexclave.com/api/v1/team-member-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
"display_name": "John Doe",
"profile_image_url": "https://example.com/image.jpg"
}
],
"pagination": {
"next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
}
}Teams
List team members profiles
List team members profiles. You always need to specify a team_id that your are a member of on the client. You can always filter for your own profile by setting me as the user_id in the path parameters. If you want list all the profiles in a team, you need to have the $read_members permission in that team.
GET
/
team-member-profiles
List team members profiles
⌘I